﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace BA.ECommerce.WebSite
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void getQuote_Click(object sender, EventArgs e)
        {
            lblOrderId.Text = "";
            txtQuantity.Text = "";
            var proxy = new BA.ECommerce.WebSite.PriceQuoteService.ServiceClient("WSHttpBinding_IService");
            var quote = proxy.GetPriceQuote(txtProductId.Text);
            txtVendorId.Text = quote.VendorId;
            txtPrice.Text = quote.Price.ToString("C2");
        }

        protected void submitOrder_Click(object sender, EventArgs e)
        {
            var proxy = new BA.ECommerce.WebSite.PurchaseOrderService.ServiceClient("WSHttpBinding_IService1");
            var purchaseItem = new BA.ECommerce.WebSite.PurchaseOrderService.PurchaseItem
                                   {
                                       DeliveryDate = DateTime.Now.AddDays(3)
                                       ,
                                       ProductId = txtProductId.Text
                                       ,
                                       VendorId = txtVendorId.Text
                                       ,
                                       Quantity = Decimal.Parse(txtQuantity.Text)
                                   };
            var orderId = proxy.PlaceOrder(purchaseItem);
            lblOrderId.Text = "Order ID: " + orderId.ToString();
        }

    }
}
