﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading;
using BA.ECommerce.DataContracts;

namespace VendorA.ECommerce
{
    public class OrdersService : IOrdersService
    {
        public PriceQuote GetPriceQuote(string productId)
        {

            Decimal price;

            switch (productId)
            {
                case "1001":
                    price = 111.99M;
                    break;
                case "1002":
                    price = 2222.99M;
                    break;
                case "1003":
                    price = 2222.99M;
                    break;
                case "1004":
                    Thread.Sleep(50000);
                    price = 1.99M;
                    break;
                case "666":
                    throw new ArgumentException("This product is evil. Begone!");
                default:
                    price = -1.00M;
                    break;
            }

            return new PriceQuote
                       {
                           VendorId = "A"
                           ,
                           Price = price
                           ,
                           ProductId = productId
                       };
        }

        public void PlaceOrder(PurchaseItem item)
        {
            
        }
    }
}
